package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TCcvalue;
import com.chinaitop.depot.intelligent.grainsituation.model.TCcvalueExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TCcvalueMapper {
    int countByExample(TCcvalueExample example);

    int deleteByExample(TCcvalueExample example);

    int insert(TCcvalue record);

    int insertSelective(TCcvalue record);

    List<TCcvalue> selectByExample(TCcvalueExample example);

    int updateByExampleSelective(@Param("record") TCcvalue record, @Param("example") TCcvalueExample example);

    int updateByExample(@Param("record") TCcvalue record, @Param("example") TCcvalueExample example);

    void insertBatch(List<TCcvalue> tCcdata);

    List<Map<String,Object>> getByCfCode(Map<String, String> map);

    List<Map<String,Object>> getByCfCodes(Map<String, Object> mapDate);

    TCcvalue getOneByCfCode(Map<String, Object> map);

    List<Map<String,Object>> getJcd(Map<String, Object> map);
    
}